/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-25
 * 描述            ：二级接口-轧机_L2_PDO_PASS轧制道次
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.Rolling.Performance.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.Rolling.Performance.mapper.IfRoll01L2PdoPassMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="IF_ROLL01_L2_PDO_PASS", namespace=IfRoll01L2PdoPassMapper.class)
public class IfRoll01L2PdoPass extends BaseVO implements Serializable {
	/** 
	 * 记录号（由业务接口创建，和PDO主记录关联）
	 */ 
	@Column
	private Long serial_no;
	public Long getSerial_no() {
		return this.serial_no;
	}
	public void setSerial_no(Long serial_no) {
		this.serial_no = serial_no;
	}

	/** 
	 * 消息时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date msg_time;
	public Date getMsg_time() {
		return this.msg_time;
	}
	public void setMsg_time(Date msg_time) {
		this.msg_time = msg_time;
	}

	/** 
	 * 出口卷号
	 */ 
	@Column
	private String exit_coil_no;
	public String getExit_coil_no() {
		return this.exit_coil_no;
	}
	public void setExit_coil_no(String exit_coil_no) {
		this.exit_coil_no = exit_coil_no;
	}

	/** 
	 * 当前道次号
	 */ 
	@Column
	private String curr_pass_no;
	public String getCurr_pass_no() {
		return this.curr_pass_no;
	}
	public void setCurr_pass_no(String curr_pass_no) {
		this.curr_pass_no = curr_pass_no;
	}

	/** 
	 * 当前道次开始生产时刻
	 */ 
	@Column
	private String pass_start_time;
	public String getPass_start_time() {
		return this.pass_start_time;
	}
	public void setPass_start_time(String pass_start_time) {
		this.pass_start_time = pass_start_time;
	}

	/** 
	 * 当前道次结束生产时刻
	 */ 
	@Column
	private String pass_end_time;
	public String getPass_end_time() {
		return this.pass_end_time;
	}
	public void setPass_end_time(String pass_end_time) {
		this.pass_end_time = pass_end_time;
	}

	/** 
	 * 当前道次生产时间
	 */ 
	@Column
	private String pass_duration;
	public String getPass_duration() {
		return this.pass_duration;
	}
	public void setPass_duration(String pass_duration) {
		this.pass_duration = pass_duration;
	}

	/** 
	 * 当前道次出口卷厚度um
	 */ 
	@Column
	private String pass_exit_thick;
	public String getPass_exit_thick() {
		return this.pass_exit_thick;
	}
	public void setPass_exit_thick(String pass_exit_thick) {
		this.pass_exit_thick = pass_exit_thick;
	}

	/** 
	 * 当前道次入口卷厚度um
	 */ 
	@Column
	private String pass_entry_thick;
	public String getPass_entry_thick() {
		return this.pass_entry_thick;
	}
	public void setPass_entry_thick(String pass_entry_thick) {
		this.pass_entry_thick = pass_entry_thick;
	}

	/** 
	 * 前张力平均值（kn）
	 */ 
	@Column
	private String entry_tension_avg;
	public String getEntry_tension_avg() {
		return this.entry_tension_avg;
	}
	public void setEntry_tension_avg(String entry_tension_avg) {
		this.entry_tension_avg = entry_tension_avg;
	}

	/** 
	 * 前张力最大值（kn）
	 */ 
	@Column
	private String entry_tension_max;
	public String getEntry_tension_max() {
		return this.entry_tension_max;
	}
	public void setEntry_tension_max(String entry_tension_max) {
		this.entry_tension_max = entry_tension_max;
	}

	/** 
	 * 前张力最小值（kn）
	 */ 
	@Column
	private String entry_tension_min;
	public String getEntry_tension_min() {
		return this.entry_tension_min;
	}
	public void setEntry_tension_min(String entry_tension_min) {
		this.entry_tension_min = entry_tension_min;
	}

	/** 
	 * 后张力平均值（kn）
	 */ 
	@Column
	private String exit_tension_avg;
	public String getExit_tension_avg() {
		return this.exit_tension_avg;
	}
	public void setExit_tension_avg(String exit_tension_avg) {
		this.exit_tension_avg = exit_tension_avg;
	}

	/** 
	 * 后张力最大值（kn）
	 */ 
	@Column
	private String exit_tension_max;
	public String getExit_tension_max() {
		return this.exit_tension_max;
	}
	public void setExit_tension_max(String exit_tension_max) {
		this.exit_tension_max = exit_tension_max;
	}

	/** 
	 * 后张力最小值（kn）
	 */ 
	@Column
	private String exit_tension_min;
	public String getExit_tension_min() {
		return this.exit_tension_min;
	}
	public void setExit_tension_min(String exit_tension_min) {
		this.exit_tension_min = exit_tension_min;
	}

	/** 
	 * 转矩平均值（nm）主电机的转矩，单位N*m
	 */ 
	@Column
	private String spindle_torque;
	public String getSpindle_torque() {
		return this.spindle_torque;
	}
	public void setSpindle_torque(String spindle_torque) {
		this.spindle_torque = spindle_torque;
	}

	/** 
	 * 轧制力（kn）
	 */ 
	@Column
	private String mill_force;
	public String getMill_force() {
		return this.mill_force;
	}
	public void setMill_force(String mill_force) {
		this.mill_force = mill_force;
	}

	/** 
	 * 轧制力方差（10^-2kn）
	 */ 
	@Column
	private String mill_force_deta;
	public String getMill_force_deta() {
		return this.mill_force_deta;
	}
	public void setMill_force_deta(String mill_force_deta) {
		this.mill_force_deta = mill_force_deta;
	}

	/** 
	 * 工作弯辊力（kn）
	 */ 
	@Column
	private String wkr_bending_force;
	public String getWkr_bending_force() {
		return this.wkr_bending_force;
	}
	public void setWkr_bending_force(String wkr_bending_force) {
		this.wkr_bending_force = wkr_bending_force;
	}

	/** 
	 * 中辊弯辊力（kn）
	 */ 
	@Column
	private String imr_bending_force;
	public String getImr_bending_force() {
		return this.imr_bending_force;
	}
	public void setImr_bending_force(String imr_bending_force) {
		this.imr_bending_force = imr_bending_force;
	}

	/** 
	 * 串辊位置（mm）
	 */ 
	@Column
	private String shift_pos;
	public String getShift_pos() {
		return this.shift_pos;
	}
	public void setShift_pos(String shift_pos) {
		this.shift_pos = shift_pos;
	}

	/** 
	 * 延伸率（10-2%，根据平整模式判断）
	 */ 
	@Column
	private String elongation;
	public String getElongation() {
		return this.elongation;
	}
	public void setElongation(String elongation) {
		this.elongation = elongation;
	}

	/** 
	 * 压下率（10-2%，根据平整模式判断）
	 */ 
	@Column
	private String reduction;
	public String getReduction() {
		return this.reduction;
	}
	public void setReduction(String reduction) {
		this.reduction = reduction;
	}

	/** 
	 * 轧制速度（m/min）
	 */ 
	@Column
	private String mill_speed;
	public String getMill_speed() {
		return this.mill_speed;
	}
	public void setMill_speed(String mill_speed) {
		this.mill_speed = mill_speed;
	}

}
